## org.eclipse.datatools.sqltools.debugger.breakpoint
Class SPLineBreakpoint

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.debug.core.model.Breakpoint
              org.eclipse.debug.core.model.LineBreakpoint
                  org.eclipse.datatools.sqltools.debugger.breakpoint.SPLineBreakpoint

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ISPBreakpoint, org.eclipse.debug.core.model.IBreakpoint, org.eclipse.debug.core.model.ILineBreakpoint

    public class SPLineBreakpoint

extends org.eclipse.debug.core.model.LineBreakpoint
implements ISPBreakpoint

Representing a line breakpoint in a `Routine`. This class is not intended to be subclassed.

Author:
  Yang Liu

Field Summary
`static java.lang.String` `MARKER_TYPE` The maker type associated with this breakpoint.

Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint
`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

Constructor Summary
`SPLineBreakpoint()`
`SPLineBreakpoint(org.eclipse.datatools.sqltools.core.ProcIdentifier procId, int lineNumber, boolean enabled)`

Method Summary
`java.lang.String` `getCondition()`
`java.lang.String` `getEncodedProcIdentifier()`
`java.lang.String` `getModelIdentifier()`
`org.eclipse.datatools.sqltools.core.ProcIdentifier` `getProcIdentifier()` Returns the associated `Routine` identifier.
`boolean` `isConditionEnabled()`
`void` `setCondition(java.lang.String condition)`
`void` `setConditionEnabled(boolean enabled)`
`void` `setLineNumber(int number)`
`void` `setProcId(java.lang.String encodedProc)`

Methods inherited from class org.eclipse.debug.core.model.LineBreakpoint
`getCharEnd, getCharStart, getLineNumber`

Methods inherited from class org.eclipse.debug.core.model.Breakpoint
`delete, equals, getMarker, hashCode, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint
`delete, getMarker, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### MARKER_TYPE

    public static final java.lang.String MARKER_TYPE

  The maker type associated with this breakpoint.

Constructor Detail

### SPLineBreakpoint

    public SPLineBreakpoint()

### SPLineBreakpoint

    public SPLineBreakpoint(org.eclipse.datatools.sqltools.core.ProcIdentifier procId,
                            int lineNumber,
                            boolean enabled)
                     throws org.eclipse.debug.core.DebugException

Throws:
  `org.eclipse.debug.core.DebugException`

Method Detail

### setConditionEnabled

    public void setConditionEnabled(boolean enabled)
                             throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### isConditionEnabled

    public boolean isConditionEnabled()
                               throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### getCondition

    public java.lang.String getCondition()

### setCondition

    public void setCondition(java.lang.String condition)
                      throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### setLineNumber

    public void setLineNumber(int number)
                       throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### getModelIdentifier

    public java.lang.String getModelIdentifier()

  Specified by:
    `getModelIdentifier` in interface `org.eclipse.debug.core.model.IBreakpoint`

### getProcIdentifier

    public org.eclipse.datatools.sqltools.core.ProcIdentifier getProcIdentifier()
                                                                         throws org.eclipse.core.runtime.CoreException

  Description copied from interface: `ISPBreakpoint`
  Returns the associated `Routine` identifier.

  Specified by:
    `getProcIdentifier` in interface `ISPBreakpoint`
  Returns:
    `ProcIdentifier` representing a `Routine`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### getEncodedProcIdentifier

    public java.lang.String getEncodedProcIdentifier()
                                              throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### setProcId

    public void setProcId(java.lang.String encodedProc)
                   throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`